4691bebd811163518567d1977adfd0bcc4e6002a
[scilab.git] / scilab / modules / ui_data / Makefile.in
1 # Makefile.in generated by automake 1.11.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 #
19 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
20 # Copyright (C) DIGITEO - 2010 - Allan CORNET
21
22 # This file must be used under the terms of the CeCILL.
23 # This source file is licensed as described in the file COPYING, which
24 # you should have received as part of this distribution.  The terms
25 # are also available at    
26 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
27 #
28
29 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
30 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
31 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
32 #
33 # This file must be used under the terms of the CeCILL.
34 # This source file is licensed as described in the file COPYING, which
35 # you should have received as part of this distribution.  The terms
36 # are also available at
37 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
38 #
39
40 ##########
41 ### Makefile included stuff
42 ### Target, variable, suffixes which are supposed to be usefull in every makefile.am
43 ##########
44
45
46 VPATH = @srcdir@
47 pkgdatadir = $(datadir)/@PACKAGE@
48 pkgincludedir = $(includedir)/@PACKAGE@
49 pkglibdir = $(libdir)/@PACKAGE@
50 pkglibexecdir = $(libexecdir)/@PACKAGE@
51 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
52 install_sh_DATA = $(install_sh) -c -m 644
53 install_sh_PROGRAM = $(install_sh) -c
54 install_sh_SCRIPT = $(install_sh) -c
55 INSTALL_HEADER = $(INSTALL_DATA)
56 transform = $(program_transform_name)
57 NORMAL_INSTALL = :
58 PRE_INSTALL = :
59 POST_INSTALL = :
60 NORMAL_UNINSTALL = :
61 PRE_UNINSTALL = :
62 POST_UNINSTALL = :
63 build_triplet = @build@
64 host_triplet = @host@
65 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
66         $(top_srcdir)/Makefile.incl.am
67 @NEED_JAVA_TRUE@am__append_1 = java
68 @GUI_TRUE@am__append_2 = libsciui_data.la 
69 subdir = modules/ui_data
70 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
71 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
72         $(top_srcdir)/m4/docbook.m4 $(top_srcdir)/m4/fftw.m4 \
73         $(top_srcdir)/m4/fortran.m4 $(top_srcdir)/m4/giws.m4 \
74         $(top_srcdir)/m4/hdf5.m4 $(top_srcdir)/m4/intel_compiler.m4 \
75         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
76         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
77         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
78         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
79         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
80         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
81         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
82         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/pvm.m4 \
83         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
84         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
85         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
86 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
87         $(ACLOCAL_M4)
88 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
89 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
90 CONFIG_CLEAN_FILES =
91 CONFIG_CLEAN_VPATH_FILES =
92 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
93 am__vpath_adj = case $$p in \
94     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
95     *) f=$$p;; \
96   esac;
97 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
98 am__install_max = 40
99 am__nobase_strip_setup = \
100   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
101 am__nobase_strip = \
102   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
103 am__nobase_list = $(am__nobase_strip_setup); \
104   for p in $$list; do echo "$$p $$p"; done | \
105   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
106   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
107     if (++n[$$2] == $(am__install_max)) \
108       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
109     END { for (dir in files) print dir, files[dir] }'
110 am__base_list = \
111   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
112   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
113 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
114         "$(DESTDIR)$(libsciui_data_la_etcdir)" \
115         "$(DESTDIR)$(libsciui_data_la_rootdir)" \
116         "$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)" \
117         "$(DESTDIR)$(libsciui_data_la_iconsdir)"
118 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
119 libsciui_data_algo_la_LIBADD =
120 am__objects_1 =
121 am__objects_2 = libsciui_data_algo_la-BrowseVar.lo \
122         libsciui_data_algo_la-EditVar.lo
123 am__objects_3 = libsciui_data_algo_la-UpdateBrowseVar.lo
124 am_libsciui_data_algo_la_OBJECTS = $(am__objects_1) $(am__objects_2) \
125         $(am__objects_3)
126 libsciui_data_algo_la_OBJECTS = $(am_libsciui_data_algo_la_OBJECTS)
127 @GUI_TRUE@am_libsciui_data_algo_la_rpath =
128 libsciui_data_disable_la_LIBADD =
129 am__objects_4 = libsciui_data_disable_la-noui_data.lo
130 am_libsciui_data_disable_la_OBJECTS = $(am__objects_4)
131 libsciui_data_disable_la_OBJECTS =  \
132         $(am_libsciui_data_disable_la_OBJECTS)
133 libsciui_data_disable_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
134         $(LIBTOOLFLAGS) --mode=link $(CCLD) \
135         $(libsciui_data_disable_la_CFLAGS) $(CFLAGS) \
136         $(libsciui_data_disable_la_LDFLAGS) $(LDFLAGS) -o $@
137 libsciui_data_la_DEPENDENCIES = libsciui_data-algo.la \
138         $(top_builddir)/libs/MALLOC/libscimalloc.la \
139         $(top_builddir)/modules/jvm/libscijvm.la \
140         $(top_builddir)/modules/output_stream/libscioutput_stream.la
141 am__objects_5 = libsciui_data_la-gw_ui_data.lo
142 am__objects_6 = libsciui_data_la-sci_editvar.lo \
143         libsciui_data_la-sci_browsevar.lo
144 am_libsciui_data_la_OBJECTS = $(am__objects_5) $(am__objects_6)
145 libsciui_data_la_OBJECTS = $(am_libsciui_data_la_OBJECTS)
146 libsciui_data_la_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) \
147         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
148         $(CXXFLAGS) $(libsciui_data_la_LDFLAGS) $(LDFLAGS) -o $@
149 @GUI_TRUE@am_libsciui_data_la_rpath = -rpath $(pkglibdir)
150 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
151 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
152 am__depfiles_maybe = depfiles
153 am__mv = mv -f
154 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
155         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
156 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
157         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
158         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
159 CCLD = $(CC)
160 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
161         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
162         $(LDFLAGS) -o $@
163 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
164         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
165 LTCXXCOMPILE = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
166         --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
167         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
168 CXXLD = $(CXX)
169 CXXLINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
170         --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
171         $(LDFLAGS) -o $@
172 SOURCES = $(libsciui_data_algo_la_SOURCES) \
173         $(libsciui_data_disable_la_SOURCES) \
174         $(libsciui_data_la_SOURCES)
175 DIST_SOURCES = $(libsciui_data_algo_la_SOURCES) \
176         $(libsciui_data_disable_la_SOURCES) \
177         $(libsciui_data_la_SOURCES)
178 DATA = $(libsciui_data_la_etc_DATA) $(libsciui_data_la_root_DATA) \
179         $(libsciui_data_la_sci_gateway_DATA) \
180         $(nobase_libsciui_data_la_icons_DATA)
181 ETAGS = etags
182 CTAGS = ctags
183 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
184 ACLOCAL = @ACLOCAL@
185 ALL_LINGUAS = @ALL_LINGUAS@
186 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
187 AMTAR = @AMTAR@
188 ANT = @ANT@
189 ANTLR = @ANTLR@
190 AR = @AR@
191 AUTOCONF = @AUTOCONF@
192 AUTOHEADER = @AUTOHEADER@
193 AUTOMAKE = @AUTOMAKE@
194 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
195 AWK = @AWK@
196 BATIK = @BATIK@
197 BLAS_LIBS = @BLAS_LIBS@
198 BSH = @BSH@
199 CC = @CC@
200 CCDEPMODE = @CCDEPMODE@
201 CFLAGS = @CFLAGS@
202 CHECKSTYLE = @CHECKSTYLE@
203 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
204 COMMONS_IO = @COMMONS_IO@
205 COMMONS_LOGGING = @COMMONS_LOGGING@
206 CPP = @CPP@
207 CPPFLAGS = @CPPFLAGS@
208 CXX = @CXX@
209 CXXCPP = @CXXCPP@
210 CXXDEPMODE = @CXXDEPMODE@
211 CXXFLAGS = @CXXFLAGS@
212 CYGPATH_W = @CYGPATH_W@
213 DEFS = @DEFS@
214 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
215 DEPDIR = @DEPDIR@
216 DOCBOOK_ROOT = @DOCBOOK_ROOT@
217 DSYMUTIL = @DSYMUTIL@
218 DUMPBIN = @DUMPBIN@
219 ECHO_C = @ECHO_C@
220 ECHO_N = @ECHO_N@
221 ECHO_T = @ECHO_T@
222 EGREP = @EGREP@
223 EXEEXT = @EXEEXT@
224 F77 = @F77@
225 FFLAGS = @FFLAGS@
226 FFTW3_LIB = @FFTW3_LIB@
227 FFTW_ENABLE = @FFTW_ENABLE@
228 FGREP = @FGREP@
229 FLEXDOCK = @FLEXDOCK@
230 FLIBS = @FLIBS@
231 FOP = @FOP@
232 GENHTML = @GENHTML@
233 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
234 GIWS_BIN = @GIWS_BIN@
235 GLUEGEN_RT = @GLUEGEN_RT@
236 GMSGFMT = @GMSGFMT@
237 GMSGFMT_015 = @GMSGFMT_015@
238 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
239 GREP = @GREP@
240 GUI_ENABLE = @GUI_ENABLE@
241 HDF5_CFLAGS = @HDF5_CFLAGS@
242 HDF5_ENABLE = @HDF5_ENABLE@
243 HDF5_LIBS = @HDF5_LIBS@
244 HELP_ENABLE = @HELP_ENABLE@
245 INSTALL = @INSTALL@
246 INSTALL_DATA = @INSTALL_DATA@
247 INSTALL_PROGRAM = @INSTALL_PROGRAM@
248 INSTALL_SCRIPT = @INSTALL_SCRIPT@
249 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
250 INTLLIBS = @INTLLIBS@
251 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
252 JAR = @JAR@
253 JAVA = @JAVA@
254 JAVAC = @JAVAC@
255 JAVAC_DEBUG = @JAVAC_DEBUG@
256 JAVADOC = @JAVADOC@
257 JAVAH = @JAVAH@
258 JAVASCI_ENABLE = @JAVASCI_ENABLE@
259 JAVA_ENABLE = @JAVA_ENABLE@
260 JAVA_G = @JAVA_G@
261 JAVA_HOME = @JAVA_HOME@
262 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
263 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
264 JDB = @JDB@
265 JEUCLID_CORE = @JEUCLID_CORE@
266 JGRAPHX = @JGRAPHX@
267 JHALL = @JHALL@
268 JHDF5 = @JHDF5@
269 JLATEXMATH = @JLATEXMATH@
270 JLATEXMATH_FOP = @JLATEXMATH_FOP@
271 JOGL = @JOGL@
272 JROSETTA_API = @JROSETTA_API@
273 JROSETTA_ENGINE = @JROSETTA_ENGINE@
274 JUNIT = @JUNIT@
275 LAPACK_LIBS = @LAPACK_LIBS@
276 LCOV = @LCOV@
277 LD = @LD@
278 LDFLAGS = @LDFLAGS@
279 LIBICONV = @LIBICONV@
280 LIBINTL = @LIBINTL@
281 LIBM = @LIBM@
282 LIBOBJS = @LIBOBJS@
283 LIBS = @LIBS@
284 LIBTOOL = @LIBTOOL@
285 LIPO = @LIPO@
286 LN_S = @LN_S@
287 LOGGING_LEVEL = @LOGGING_LEVEL@
288 LOOKS = @LOOKS@
289 LTLIBICONV = @LTLIBICONV@
290 LTLIBINTL = @LTLIBINTL@
291 LTLIBOBJS = @LTLIBOBJS@
292 MAINT = @MAINT@
293 MAKEINFO = @MAKEINFO@
294 MATIO_CFLAGS = @MATIO_CFLAGS@
295 MATIO_ENABLE = @MATIO_ENABLE@
296 MATIO_LIBS = @MATIO_LIBS@
297 MKDIR_P = @MKDIR_P@
298 MSGCAT = @MSGCAT@
299 MSGFMT = @MSGFMT@
300 MSGFMT_015 = @MSGFMT_015@
301 MSGMERGE = @MSGMERGE@
302 NM = @NM@
303 NMEDIT = @NMEDIT@
304 OBJDUMP = @OBJDUMP@
305 OBJEXT = @OBJEXT@
306 OCAMLC = @OCAMLC@
307 OCAMLDEP = @OCAMLDEP@
308 OCAMLLEX = @OCAMLLEX@
309 OCAMLOPT = @OCAMLOPT@
310 OCAMLYACC = @OCAMLYACC@
311 OPENMP_CFLAGS = @OPENMP_CFLAGS@
312 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
313 OPENMP_ENABLE = @OPENMP_ENABLE@
314 OPENMP_LIBS = @OPENMP_LIBS@
315 OTOOL = @OTOOL@
316 OTOOL64 = @OTOOL64@
317 PACKAGE = @PACKAGE@
318 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
319 PACKAGE_NAME = @PACKAGE_NAME@
320 PACKAGE_STRING = @PACKAGE_STRING@
321 PACKAGE_TARNAME = @PACKAGE_TARNAME@
322 PACKAGE_URL = @PACKAGE_URL@
323 PACKAGE_VERSION = @PACKAGE_VERSION@
324 PATH_SEPARATOR = @PATH_SEPARATOR@
325 PCRE_CFLAGS = @PCRE_CFLAGS@
326 PCRE_CONFIG = @PCRE_CONFIG@
327 PCRE_LIBS = @PCRE_LIBS@
328 PCRE_VERSION = @PCRE_VERSION@
329 PKG_CONFIG = @PKG_CONFIG@
330 POSUB = @POSUB@
331 POW_LIB = @POW_LIB@
332 PVMGETARCH = @PVMGETARCH@
333 PVM_ARCH = @PVM_ARCH@
334 PVM_ENABLE = @PVM_ENABLE@
335 PVM_INCLUDE = @PVM_INCLUDE@
336 PVM_LIB = @PVM_LIB@
337 PYTHON = @PYTHON@
338 QDOX = @QDOX@
339 RANLIB = @RANLIB@
340 RELOCATABLE = @RELOCATABLE@
341 RT_LIB = @RT_LIB@
342 SAXON = @SAXON@
343 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
344 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
345 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
346 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
347 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
348 SED = @SED@
349 SET_MAKE = @SET_MAKE@
350 SET_RELOCATABLE = @SET_RELOCATABLE@
351 SHELL = @SHELL@
352 SKINLF = @SKINLF@
353 SPLINT = @SPLINT@
354 STRIP = @STRIP@
355 SWIG_BIN = @SWIG_BIN@
356 SWIG_JAVA = @SWIG_JAVA@
357 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
358 TCLTK_LIBS = @TCLTK_LIBS@
359 TCL_INC_PATH = @TCL_INC_PATH@
360 TESTNG = @TESTNG@
361 TK_INC_PATH = @TK_INC_PATH@
362 UMFPACK_ENABLE = @UMFPACK_ENABLE@
363 UMFPACK_LIB = @UMFPACK_LIB@
364 USE_NLS = @USE_NLS@
365 VERSION = @VERSION@
366 WITH_OCAML = @WITH_OCAML@
367 WITH_TKSCI = @WITH_TKSCI@
368 XCOS_ENABLE = @XCOS_ENABLE@
369 XGETTEXT = @XGETTEXT@
370 XGETTEXT_015 = @XGETTEXT_015@
371 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
372 XMKMF = @XMKMF@
373 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
374 XML_APIS_EXT = @XML_APIS_EXT@
375 XML_CONFIG = @XML_CONFIG@
376 XML_FLAGS = @XML_FLAGS@
377 XML_LIBS = @XML_LIBS@
378 XML_VERSION = @XML_VERSION@
379 X_CFLAGS = @X_CFLAGS@
380 X_EXTRA_LIBS = @X_EXTRA_LIBS@
381 X_LIBS = @X_LIBS@
382 X_PRE_LIBS = @X_PRE_LIBS@
383 abs_builddir = @abs_builddir@
384 abs_srcdir = @abs_srcdir@
385 abs_top_builddir = @abs_top_builddir@
386 abs_top_srcdir = @abs_top_srcdir@
387 ac_ct_CC = @ac_ct_CC@
388 ac_ct_CXX = @ac_ct_CXX@
389 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
390 ac_ct_F77 = @ac_ct_F77@
391 am__include = @am__include@
392 am__leading_dot = @am__leading_dot@
393 am__quote = @am__quote@
394 am__tar = @am__tar@
395 am__untar = @am__untar@
396 bindir = @bindir@
397 build = @build@
398 build_alias = @build_alias@
399 build_cpu = @build_cpu@
400 build_os = @build_os@
401 build_vendor = @build_vendor@
402 builddir = @builddir@
403 cxx_present = @cxx_present@
404 datadir = @datadir@
405 datarootdir = @datarootdir@
406 docdir = @docdir@
407 dvidir = @dvidir@
408 exec_prefix = @exec_prefix@
409 host = @host@
410 host_alias = @host_alias@
411 host_cpu = @host_cpu@
412 host_os = @host_os@
413 host_vendor = @host_vendor@
414 htmldir = @htmldir@
415 includedir = @includedir@
416 infodir = @infodir@
417 install_sh = @install_sh@
418 libdir = @libdir@
419 libexecdir = @libexecdir@
420 localedir = @localedir@
421 localstatedir = @localstatedir@
422 mandir = @mandir@
423 mkdir_p = @mkdir_p@
424 oldincludedir = @oldincludedir@
425 pdfdir = @pdfdir@
426 prefix = @prefix@
427 program_transform_name = @program_transform_name@
428 psdir = @psdir@
429 sbindir = @sbindir@
430 sharedstatedir = @sharedstatedir@
431 srcdir = @srcdir@
432 sysconfdir = @sysconfdir@
433 target_alias = @target_alias@
434 top_build_prefix = @top_build_prefix@
435 top_builddir = @top_builddir@
436 top_srcdir = @top_srcdir@
437
438 #### Target ######
439 modulename = ui_data
440
441 #### ui_data : Conf files ####
442 libsciui_data_la_rootdir = $(mydatadir)
443 libsciui_data_la_root_DATA = license.txt 
444
445 #### ui_data : init scripts ####
446 libsciui_data_la_etcdir = $(mydatadir)/etc
447 libsciui_data_la_etc_DATA = etc/ui_data.quit \
448                                 etc/ui_data.start \
449                                 etc/variablebrowser_menubar.xml \
450                                 etc/variableeditor_menubar.xml
451
452
453 # Where all the Scilab stuff is installed (macros, help, ...)
454 mydatadir = $(pkgdatadir)/modules/$(modulename)
455
456 # splint options
457 SPLINT_OPTIONS = -weak -booltype BOOL
458
459 ########################### JAVA ######################################
460 #### We are delegating java compilation to ant... Thanks to that
461 #### the procedure will be the same with Microsoft Windows (C)
462 #### and Linux/Unix
463 #######################################################################
464 TARGETS_ALL = $(am__append_1)
465
466 ################ MACROS ######################
467 # Rule to build a macro
468 # NOT USED  AT THE MOMENT
469 SUFFIXES = .sci 
470
471 ########### INSTALL DOCUMENTATION ###################
472
473 # Install documentation files into the right target
474 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
475 # automake needs the html files to be present which is not the case when
476 # we are building Scilab
477
478 # Where it should be installed
479 pkgdocdir = $(mydatadir)
480
481 # What is the mask of the help source
482 DOCMASKXML = *.xml
483
484 # What is the mask of the MathML sources
485 DOCMASKMML = *.mml
486
487 ########### INSTALL DATA ###################
488 # Install macros, help & demos
489 # Where it should be installed
490 pkgmacrosdir = $(mydatadir)
491 # Which directory we process
492 MACRODIRS = macros/
493 # Mask of the Scilab sources macros
494 MACROMASK = *.sci
495 # Mask of the Scilab executable sources macros
496 MACROBUILDMASK = *.sce
497 # Mask of the Scilab compiled macros
498 MACROBINMASK = *.bin
499 # List of the standard directory for tests
500 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
501 # Where the demos should be installed
502 pkgdemosdir = $(mydatadir)
503 # List of the standard directory for demos
504 DEMOS_DIR = demos
505 # List of the standard directory for examples
506 EXAMPLES_DIR = examples
507 # Where to export JAVA archives (.jar)
508 JARDIR = jar/
509 # JAR files mask
510 JARMASK = *.jar
511 # Chapter file 
512 HELP_CHAPTERDIR = help/
513 HELP_CHAPTERFILE = addchapter.sce
514 HELP_CHAPTERLANG = en_US fr_FR pt_BR
515 UI_DATA_JNI_SOURCES = src/jni/BrowseVar.cpp \
516                                           src/jni/EditVar.cpp
517
518 UI_DATA_C_SOURCES = 
519 UI_DATA_CPP_SOURCES = src/cpp/UpdateBrowseVar.cpp
520 GIWS_WRAPPERS = \
521 src/jni/BrowseVar.giws.xml \
522 src/jni/EditVar.giws.xml
523
524 @GIWS_TRUE@BUILT_SOURCES = giws
525 GATEWAY_C_SOURCES = sci_gateway/c/gw_ui_data.c
526 GATEWAY_CPP_SOURCES = sci_gateway/cpp/sci_editvar.cpp \
527                                                 sci_gateway/cpp/sci_browsevar.cpp
528
529 libsciui_data_la_CFLAGS = $(JAVA_JNI_INCLUDE) \
530                         -I$(top_srcdir)/libs/MALLOC/includes/ \
531                         -I$(top_srcdir)/modules/jvm/includes/ \
532                         -I$(top_srcdir)/modules/output_stream/includes \
533                         -I$(top_srcdir)/modules/localization/includes \
534                         -I$(top_srcdir)/modules/api_scilab/includes \
535                         -I$(top_srcdir)/modules/core/includes
536
537 libsciui_data_la_CPPFLAGS = $(JAVA_JNI_INCLUDE) \
538                         -I$(srcdir)/includes/ \
539                         -I$(srcdir)/src/cpp/ \
540                         -I$(srcdir)/src/c/ \
541                         -I$(srcdir)/src/jni/ \
542                         -I$(top_srcdir)/modules/jvm/includes/ \
543                         -I$(top_srcdir)/modules/output_stream/includes \
544                         -I$(top_srcdir)/modules/localization/includes \
545                         -I$(top_srcdir)/modules/api_scilab/includes
546
547
548 # Without the ui_data module 
549 libsciui_data_disable_la_CFLAGS = -Iincludes/ \
550                         -I$(top_srcdir)/modules/output_stream/includes
551
552 UI_DATA_DISABLE_C_SOURCES = src/noui_data/noui_data.c
553 libsciui_data_disable_la_LDFLAGS = -version-number $(SCILAB_LIBRARY_VERSION) $(LD_FLAGS)
554 libsciui_data_disable_la_SOURCES = $(UI_DATA_DISABLE_C_SOURCES)
555 pkglib_LTLIBRARIES = libsciui_data-disable.la $(am__append_2)
556 @GUI_TRUE@noinst_LTLIBRARIES = libsciui_data-algo.la 
557 libsciui_data_la_LDFLAGS = -version-number $(SCILAB_LIBRARY_VERSION) $(LD_FLAGS)  $(X_LIBS) $(X_EXTRA_LIBS)
558 libsciui_data_algo_la_SOURCES = $(UI_DATA_C_SOURCES) $(UI_DATA_JNI_SOURCES) $(UI_DATA_CPP_SOURCES)
559 libsciui_data_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_CPP_SOURCES)
560 libsciui_data_algo_la_CFLAGS = $(libsciui_data_la_CFLAGS)
561 libsciui_data_algo_la_CPPFLAGS = $(libsciui_data_la_CPPFLAGS)
562
563 # For the code check (splint)
564 CHECK_SRC = $(UI_DATA_C_SOURCES) $(GATEWAY_C_SOURCES)
565 INCLUDE_FLAGS = $(libsciui_data_la_CFLAGS)
566 libsciui_data_la_LIBADD = \
567 libsciui_data-algo.la \
568 $(top_builddir)/libs/MALLOC/libscimalloc.la \
569 $(top_builddir)/modules/jvm/libscijvm.la \
570 $(top_builddir)/modules/output_stream/libscioutput_stream.la
571
572
573 #### ui_data : gateway declaration ####
574 libsciui_data_la_sci_gatewaydir = $(mydatadir)/sci_gateway
575 libsciui_data_la_sci_gateway_DATA = sci_gateway/ui_data_gateway.xml
576
577 #### ui_data : icons files ####
578 libsciui_data_la_iconsdir = $(mydatadir)/
579 nobase_libsciui_data_la_icons_DATA = images/icons/cell.png \
580 images/icons/double.png \
581 images/icons/sparse.png \
582 images/icons/boolean.png \
583 images/icons/object.png \
584 images/icons/string.png \
585 images/icons/list.png \
586 images/icons/noicon.png \
587 images/icons/array_up.png \
588 images/icons/fptr.png \
589 images/icons/function.png \
590 images/icons/handle.png \
591 images/icons/int.png \
592 images/icons/uint.png \
593 images/icons/mlist.png \
594 images/icons/polynomial.png \
595 images/icons/user.png \
596 images/icons/tlist.png
597
598 @GUI_TRUE@USEANT = 1
599 all: $(BUILT_SOURCES)
600         $(MAKE) $(AM_MAKEFLAGS) all-am
601
602 .SUFFIXES:
603 .SUFFIXES: .sci .bin .c .cpp .lo .o .obj
604 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
605         @for dep in $?; do \
606           case '$(am__configure_deps)' in \
607             *$$dep*) \
608               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
609                 && { if test -f $@; then exit 0; else break; fi; }; \
610               exit 1;; \
611           esac; \
612         done; \
613         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/ui_data/Makefile'; \
614         $(am__cd) $(top_srcdir) && \
615           $(AUTOMAKE) --foreign modules/ui_data/Makefile
616 .PRECIOUS: Makefile
617 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
618         @case '$?' in \
619           *config.status*) \
620             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
621           *) \
622             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
623             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
624         esac;
625
626 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
627         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
628
629 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
630         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
631 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
632         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
633 $(am__aclocal_m4_deps):
634
635 clean-noinstLTLIBRARIES:
636         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
637         @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
638           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
639           test "$$dir" != "$$p" || dir=.; \
640           echo "rm -f \"$${dir}/so_locations\""; \
641           rm -f "$${dir}/so_locations"; \
642         done
643 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
644         @$(NORMAL_INSTALL)
645         test -z "$(pkglibdir)" || $(MKDIR_P) "$(DESTDIR)$(pkglibdir)"
646         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
647         list2=; for p in $$list; do \
648           if test -f $$p; then \
649             list2="$$list2 $$p"; \
650           else :; fi; \
651         done; \
652         test -z "$$list2" || { \
653           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
654           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
655         }
656
657 uninstall-pkglibLTLIBRARIES:
658         @$(NORMAL_UNINSTALL)
659         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
660         for p in $$list; do \
661           $(am__strip_dir) \
662           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
663           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
664         done
665
666 clean-pkglibLTLIBRARIES:
667         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
668         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
669           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
670           test "$$dir" != "$$p" || dir=.; \
671           echo "rm -f \"$${dir}/so_locations\""; \
672           rm -f "$${dir}/so_locations"; \
673         done
674 libsciui_data-algo.la: $(libsciui_data_algo_la_OBJECTS) $(libsciui_data_algo_la_DEPENDENCIES) 
675         $(CXXLINK) $(am_libsciui_data_algo_la_rpath) $(libsciui_data_algo_la_OBJECTS) $(libsciui_data_algo_la_LIBADD) $(LIBS)
676 libsciui_data-disable.la: $(libsciui_data_disable_la_OBJECTS) $(libsciui_data_disable_la_DEPENDENCIES) 
677         $(libsciui_data_disable_la_LINK) -rpath $(pkglibdir) $(libsciui_data_disable_la_OBJECTS) $(libsciui_data_disable_la_LIBADD) $(LIBS)
678 libsciui_data.la: $(libsciui_data_la_OBJECTS) $(libsciui_data_la_DEPENDENCIES) 
679         $(libsciui_data_la_LINK) $(am_libsciui_data_la_rpath) $(libsciui_data_la_OBJECTS) $(libsciui_data_la_LIBADD) $(LIBS)
680
681 mostlyclean-compile:
682         -rm -f *.$(OBJEXT)
683
684 distclean-compile:
685         -rm -f *.tab.c
686
687 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-BrowseVar.Plo@am__quote@
688 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-EditVar.Plo@am__quote@
689 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-UpdateBrowseVar.Plo@am__quote@
690 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_disable_la-noui_data.Plo@am__quote@
691 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_la-gw_ui_data.Plo@am__quote@
692 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_la-sci_browsevar.Plo@am__quote@
693 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_la-sci_editvar.Plo@am__quote@
694
695 .c.o:
696 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
697 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
698 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
699 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
700 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
701
702 .c.obj:
703 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
704 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
705 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
706 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
707 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
708
709 .c.lo:
710 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
711 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
712 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
713 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
714 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
715
716 libsciui_data_disable_la-noui_data.lo: src/noui_data/noui_data.c
717 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciui_data_disable_la_CFLAGS) $(CFLAGS) -MT libsciui_data_disable_la-noui_data.lo -MD -MP -MF $(DEPDIR)/libsciui_data_disable_la-noui_data.Tpo -c -o libsciui_data_disable_la-noui_data.lo `test -f 'src/noui_data/noui_data.c' || echo '$(srcdir)/'`src/noui_data/noui_data.c
718 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciui_data_disable_la-noui_data.Tpo $(DEPDIR)/libsciui_data_disable_la-noui_data.Plo
719 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/noui_data/noui_data.c' object='libsciui_data_disable_la-noui_data.lo' libtool=yes @AMDEPBACKSLASH@
720 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
721 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciui_data_disable_la_CFLAGS) $(CFLAGS) -c -o libsciui_data_disable_la-noui_data.lo `test -f 'src/noui_data/noui_data.c' || echo '$(srcdir)/'`src/noui_data/noui_data.c
722
723 libsciui_data_la-gw_ui_data.lo: sci_gateway/c/gw_ui_data.c
724 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(libsciui_data_la_CFLAGS) $(CFLAGS) -MT libsciui_data_la-gw_ui_data.lo -MD -MP -MF $(DEPDIR)/libsciui_data_la-gw_ui_data.Tpo -c -o libsciui_data_la-gw_ui_data.lo `test -f 'sci_gateway/c/gw_ui_data.c' || echo '$(srcdir)/'`sci_gateway/c/gw_ui_data.c
725 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciui_data_la-gw_ui_data.Tpo $(DEPDIR)/libsciui_data_la-gw_ui_data.Plo
726 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/gw_ui_data.c' object='libsciui_data_la-gw_ui_data.lo' libtool=yes @AMDEPBACKSLASH@
727 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
728 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(libsciui_data_la_CFLAGS) $(CFLAGS) -c -o libsciui_data_la-gw_ui_data.lo `test -f 'sci_gateway/c/gw_ui_data.c' || echo '$(srcdir)/'`sci_gateway/c/gw_ui_data.c
729
730 .cpp.o:
731 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
732 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
733 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
734 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
735 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ $<
736
737 .cpp.obj:
738 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
739 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
740 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
741 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
742 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
743
744 .cpp.lo:
745 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
746 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
747 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
748 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
749 @am__fastdepCXX_FALSE@  $(LTCXXCOMPILE) -c -o $@ $<
750
751 libsciui_data_algo_la-BrowseVar.lo: src/jni/BrowseVar.cpp
752 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_algo_la-BrowseVar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-BrowseVar.Tpo -c -o libsciui_data_algo_la-BrowseVar.lo `test -f 'src/jni/BrowseVar.cpp' || echo '$(srcdir)/'`src/jni/BrowseVar.cpp
753 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciui_data_algo_la-BrowseVar.Tpo $(DEPDIR)/libsciui_data_algo_la-BrowseVar.Plo
754 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/jni/BrowseVar.cpp' object='libsciui_data_algo_la-BrowseVar.lo' libtool=yes @AMDEPBACKSLASH@
755 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
756 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_algo_la-BrowseVar.lo `test -f 'src/jni/BrowseVar.cpp' || echo '$(srcdir)/'`src/jni/BrowseVar.cpp
757
758 libsciui_data_algo_la-EditVar.lo: src/jni/EditVar.cpp
759 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_algo_la-EditVar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-EditVar.Tpo -c -o libsciui_data_algo_la-EditVar.lo `test -f 'src/jni/EditVar.cpp' || echo '$(srcdir)/'`src/jni/EditVar.cpp
760 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciui_data_algo_la-EditVar.Tpo $(DEPDIR)/libsciui_data_algo_la-EditVar.Plo
761 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/jni/EditVar.cpp' object='libsciui_data_algo_la-EditVar.lo' libtool=yes @AMDEPBACKSLASH@
762 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
763 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_algo_la-EditVar.lo `test -f 'src/jni/EditVar.cpp' || echo '$(srcdir)/'`src/jni/EditVar.cpp
764
765 libsciui_data_algo_la-UpdateBrowseVar.lo: src/cpp/UpdateBrowseVar.cpp
766 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_algo_la-UpdateBrowseVar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-UpdateBrowseVar.Tpo -c -o libsciui_data_algo_la-UpdateBrowseVar.lo `test -f 'src/cpp/UpdateBrowseVar.cpp' || echo '$(srcdir)/'`src/cpp/UpdateBrowseVar.cpp
767 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciui_data_algo_la-UpdateBrowseVar.Tpo $(DEPDIR)/libsciui_data_algo_la-UpdateBrowseVar.Plo
768 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/UpdateBrowseVar.cpp' object='libsciui_data_algo_la-UpdateBrowseVar.lo' libtool=yes @AMDEPBACKSLASH@
769 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
770 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_algo_la-UpdateBrowseVar.lo `test -f 'src/cpp/UpdateBrowseVar.cpp' || echo '$(srcdir)/'`src/cpp/UpdateBrowseVar.cpp
771
772 libsciui_data_la-sci_editvar.lo: sci_gateway/cpp/sci_editvar.cpp
773 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_la-sci_editvar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_la-sci_editvar.Tpo -c -o libsciui_data_la-sci_editvar.lo `test -f 'sci_gateway/cpp/sci_editvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_editvar.cpp
774 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciui_data_la-sci_editvar.Tpo $(DEPDIR)/libsciui_data_la-sci_editvar.Plo
775 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_editvar.cpp' object='libsciui_data_la-sci_editvar.lo' libtool=yes @AMDEPBACKSLASH@
776 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
777 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_la-sci_editvar.lo `test -f 'sci_gateway/cpp/sci_editvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_editvar.cpp
778
779 libsciui_data_la-sci_browsevar.lo: sci_gateway/cpp/sci_browsevar.cpp
780 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_la-sci_browsevar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_la-sci_browsevar.Tpo -c -o libsciui_data_la-sci_browsevar.lo `test -f 'sci_gateway/cpp/sci_browsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_browsevar.cpp
781 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciui_data_la-sci_browsevar.Tpo $(DEPDIR)/libsciui_data_la-sci_browsevar.Plo
782 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_browsevar.cpp' object='libsciui_data_la-sci_browsevar.lo' libtool=yes @AMDEPBACKSLASH@
783 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
784 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_la-sci_browsevar.lo `test -f 'sci_gateway/cpp/sci_browsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_browsevar.cpp
785
786 mostlyclean-libtool:
787         -rm -f *.lo
788
789 clean-libtool:
790         -rm -rf .libs _libs
791 install-libsciui_data_la_etcDATA: $(libsciui_data_la_etc_DATA)
792         @$(NORMAL_INSTALL)
793         test -z "$(libsciui_data_la_etcdir)" || $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_etcdir)"
794         @list='$(libsciui_data_la_etc_DATA)'; test -n "$(libsciui_data_la_etcdir)" || list=; \
795         for p in $$list; do \
796           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
797           echo "$$d$$p"; \
798         done | $(am__base_list) | \
799         while read files; do \
800           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciui_data_la_etcdir)'"; \
801           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciui_data_la_etcdir)" || exit $$?; \
802         done
803
804 uninstall-libsciui_data_la_etcDATA:
805         @$(NORMAL_UNINSTALL)
806         @list='$(libsciui_data_la_etc_DATA)'; test -n "$(libsciui_data_la_etcdir)" || list=; \
807         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
808         test -n "$$files" || exit 0; \
809         echo " ( cd '$(DESTDIR)$(libsciui_data_la_etcdir)' && rm -f" $$files ")"; \
810         cd "$(DESTDIR)$(libsciui_data_la_etcdir)" && rm -f $$files
811 install-libsciui_data_la_rootDATA: $(libsciui_data_la_root_DATA)
812         @$(NORMAL_INSTALL)
813         test -z "$(libsciui_data_la_rootdir)" || $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_rootdir)"
814         @list='$(libsciui_data_la_root_DATA)'; test -n "$(libsciui_data_la_rootdir)" || list=; \
815         for p in $$list; do \
816           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
817           echo "$$d$$p"; \
818         done | $(am__base_list) | \
819         while read files; do \
820           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciui_data_la_rootdir)'"; \
821           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciui_data_la_rootdir)" || exit $$?; \
822         done
823
824 uninstall-libsciui_data_la_rootDATA:
825         @$(NORMAL_UNINSTALL)
826         @list='$(libsciui_data_la_root_DATA)'; test -n "$(libsciui_data_la_rootdir)" || list=; \
827         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
828         test -n "$$files" || exit 0; \
829         echo " ( cd '$(DESTDIR)$(libsciui_data_la_rootdir)' && rm -f" $$files ")"; \
830         cd "$(DESTDIR)$(libsciui_data_la_rootdir)" && rm -f $$files
831 install-libsciui_data_la_sci_gatewayDATA: $(libsciui_data_la_sci_gateway_DATA)
832         @$(NORMAL_INSTALL)
833         test -z "$(libsciui_data_la_sci_gatewaydir)" || $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)"
834         @list='$(libsciui_data_la_sci_gateway_DATA)'; test -n "$(libsciui_data_la_sci_gatewaydir)" || list=; \
835         for p in $$list; do \
836           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
837           echo "$$d$$p"; \
838         done | $(am__base_list) | \
839         while read files; do \
840           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)'"; \
841           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)" || exit $$?; \
842         done
843
844 uninstall-libsciui_data_la_sci_gatewayDATA:
845         @$(NORMAL_UNINSTALL)
846         @list='$(libsciui_data_la_sci_gateway_DATA)'; test -n "$(libsciui_data_la_sci_gatewaydir)" || list=; \
847         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
848         test -n "$$files" || exit 0; \
849         echo " ( cd '$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)' && rm -f" $$files ")"; \
850         cd "$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)" && rm -f $$files
851 install-nobase_libsciui_data_la_iconsDATA: $(nobase_libsciui_data_la_icons_DATA)
852         @$(NORMAL_INSTALL)
853         test -z "$(libsciui_data_la_iconsdir)" || $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_iconsdir)"
854         @list='$(nobase_libsciui_data_la_icons_DATA)'; test -n "$(libsciui_data_la_iconsdir)" || list=; \
855         $(am__nobase_list) | while read dir files; do \
856           xfiles=; for file in $$files; do \
857             if test -f "$$file"; then xfiles="$$xfiles $$file"; \
858             else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
859           test -z "$$xfiles" || { \
860             test "x$$dir" = x. || { \
861               echo "$(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir'"; \
862               $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir"; }; \
863             echo " $(INSTALL_DATA) $$xfiles '$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir'"; \
864             $(INSTALL_DATA) $$xfiles "$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir" || exit $$?; }; \
865         done
866
867 uninstall-nobase_libsciui_data_la_iconsDATA:
868         @$(NORMAL_UNINSTALL)
869         @list='$(nobase_libsciui_data_la_icons_DATA)'; test -n "$(libsciui_data_la_iconsdir)" || list=; \
870         $(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
871         test -n "$$files" || exit 0; \
872         echo " ( cd '$(DESTDIR)$(libsciui_data_la_iconsdir)' && rm -f" $$files ")"; \
873         cd "$(DESTDIR)$(libsciui_data_la_iconsdir)" && rm -f $$files
874
875 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
876         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
877         unique=`for i in $$list; do \
878             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
879           done | \
880           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
881               END { if (nonempty) { for (i in files) print i; }; }'`; \
882         mkid -fID $$unique
883 tags: TAGS
884
885 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
886                 $(TAGS_FILES) $(LISP)
887         set x; \
888         here=`pwd`; \
889         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
890         unique=`for i in $$list; do \
891             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
892           done | \
893           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
894               END { if (nonempty) { for (i in files) print i; }; }'`; \
895         shift; \
896         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
897           test -n "$$unique" || unique=$$empty_fix; \
898           if test $$# -gt 0; then \
899             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
900               "$$@" $$unique; \
901           else \
902             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
903               $$unique; \
904           fi; \
905         fi
906 ctags: CTAGS
907 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
908                 $(TAGS_FILES) $(LISP)
909         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
910         unique=`for i in $$list; do \
911             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
912           done | \
913           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
914               END { if (nonempty) { for (i in files) print i; }; }'`; \
915         test -z "$(CTAGS_ARGS)$$unique" \
916           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
917              $$unique
918
919 GTAGS:
920         here=`$(am__cd) $(top_builddir) && pwd` \
921           && $(am__cd) $(top_srcdir) \
922           && gtags -i $(GTAGS_ARGS) "$$here"
923
924 distclean-tags:
925         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
926
927 distdir: $(DISTFILES)
928         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
929         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
930         list='$(DISTFILES)'; \
931           dist_files=`for file in $$list; do echo $$file; done | \
932           sed -e "s|^$$srcdirstrip/||;t" \
933               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
934         case $$dist_files in \
935           */*) $(MKDIR_P) `echo "$$dist_files" | \
936                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
937                            sort -u` ;; \
938         esac; \
939         for file in $$dist_files; do \
940           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
941           if test -d $$d/$$file; then \
942             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
943             if test -d "$(distdir)/$$file"; then \
944               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
945             fi; \
946             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
947               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
948               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
949             fi; \
950             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
951           else \
952             test -f "$(distdir)/$$file" \
953             || cp -p $$d/$$file "$(distdir)/$$file" \
954             || exit 1; \
955           fi; \
956         done
957 check-am: all-am
958         $(MAKE) $(AM_MAKEFLAGS) check-local
959 check: $(BUILT_SOURCES)
960         $(MAKE) $(AM_MAKEFLAGS) check-am
961 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
962 installdirs:
963         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciui_data_la_etcdir)" "$(DESTDIR)$(libsciui_data_la_rootdir)" "$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)" "$(DESTDIR)$(libsciui_data_la_iconsdir)"; do \
964           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
965         done
966 install: $(BUILT_SOURCES)
967         $(MAKE) $(AM_MAKEFLAGS) install-am
968 install-exec: install-exec-am
969 install-data: install-data-am
970 uninstall: uninstall-am
971
972 install-am: all-am
973         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
974
975 installcheck: installcheck-am
976 install-strip:
977         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
978           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
979           `test -z '$(STRIP)' || \
980             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
981 mostlyclean-generic:
982
983 clean-generic:
984
985 distclean-generic:
986         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
987         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
988
989 maintainer-clean-generic:
990         @echo "This command is intended for maintainers to use"
991         @echo "it deletes files that may require special tools to rebuild."
992         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
993 clean: clean-am
994
995 clean-am: clean-generic clean-libtool clean-local \
996         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
997
998 distclean: distclean-am
999         -rm -rf ./$(DEPDIR)
1000         -rm -f Makefile
1001 distclean-am: clean-am distclean-compile distclean-generic \
1002         distclean-local distclean-tags
1003
1004 dvi: dvi-am
1005
1006 dvi-am:
1007
1008 html: html-am
1009
1010 html-am:
1011
1012 info: info-am
1013
1014 info-am:
1015
1016 install-data-am: install-data-local install-libsciui_data_la_etcDATA \
1017         install-libsciui_data_la_rootDATA \
1018         install-libsciui_data_la_sci_gatewayDATA \
1019         install-nobase_libsciui_data_la_iconsDATA
1020
1021 install-dvi: install-dvi-am
1022
1023 install-dvi-am:
1024
1025 install-exec-am: install-pkglibLTLIBRARIES
1026
1027 install-html: install-html-am
1028
1029 install-html-am: install-html-local
1030
1031 install-info: install-info-am
1032
1033 install-info-am:
1034
1035 install-man:
1036
1037 install-pdf: install-pdf-am
1038
1039 install-pdf-am:
1040
1041 install-ps: install-ps-am
1042
1043 install-ps-am:
1044
1045 installcheck-am:
1046
1047 maintainer-clean: maintainer-clean-am
1048         -rm -rf ./$(DEPDIR)
1049         -rm -f Makefile
1050 maintainer-clean-am: distclean-am maintainer-clean-generic
1051
1052 mostlyclean: mostlyclean-am
1053
1054 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1055         mostlyclean-libtool
1056
1057 pdf: pdf-am
1058
1059 pdf-am:
1060
1061 ps: ps-am
1062
1063 ps-am:
1064
1065 uninstall-am: uninstall-libsciui_data_la_etcDATA \
1066         uninstall-libsciui_data_la_rootDATA \
1067         uninstall-libsciui_data_la_sci_gatewayDATA \
1068         uninstall-nobase_libsciui_data_la_iconsDATA \
1069         uninstall-pkglibLTLIBRARIES
1070
1071 .MAKE: all check check-am install install-am install-strip
1072
1073 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
1074         clean clean-generic clean-libtool clean-local \
1075         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES ctags \
1076         distclean distclean-compile distclean-generic \
1077         distclean-libtool distclean-local distclean-tags distdir dvi \
1078         dvi-am html html-am info info-am install install-am \
1079         install-data install-data-am install-data-local install-dvi \
1080         install-dvi-am install-exec install-exec-am install-html \
1081         install-html-am install-html-local install-info \
1082         install-info-am install-libsciui_data_la_etcDATA \
1083         install-libsciui_data_la_rootDATA \
1084         install-libsciui_data_la_sci_gatewayDATA install-man \
1085         install-nobase_libsciui_data_la_iconsDATA install-pdf \
1086         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1087         install-ps-am install-strip installcheck installcheck-am \
1088         installdirs maintainer-clean maintainer-clean-generic \
1089         mostlyclean mostlyclean-compile mostlyclean-generic \
1090         mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
1091         uninstall-am uninstall-libsciui_data_la_etcDATA \
1092         uninstall-libsciui_data_la_rootDATA \
1093         uninstall-libsciui_data_la_sci_gatewayDATA \
1094         uninstall-nobase_libsciui_data_la_iconsDATA \
1095         uninstall-pkglibLTLIBRARIES
1096
1097
1098 # This target enables tests for Scilab
1099 check-local: $(top_builddir)/scilab-bin test
1100         @COMMAND="test_run('$(modulename)');quit";\
1101         export LANG=C;\
1102         $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"
1103 check-code:
1104         if test -f build.xml; then \
1105                 $(ANT) checkstyle; \
1106         fi
1107         if test -x "$(SPLINT)"; then \
1108                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1109         fi
1110 @NEED_JAVA_TRUE@java:
1111 # Some configurations needs to export JAVA_HOME in the current env
1112 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1113 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1114 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1115 @NEED_JAVA_TRUE@                $(ANT); \
1116 @NEED_JAVA_TRUE@        fi
1117
1118 @NEED_JAVA_TRUE@clean-java:
1119 # Some configurations needs to export JAVA_HOME in the current env
1120 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1121 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1122 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1123 @NEED_JAVA_TRUE@                $(ANT) clean; \
1124 @NEED_JAVA_TRUE@        fi;
1125
1126 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1127 # We call the target swig-build on the variable SWIG_WRAPPERS
1128
1129 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1130 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1131 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1132 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1133 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1134 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1135 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1136 @SWIG_TRUE@             done; \
1137 @SWIG_TRUE@     fi
1138
1139 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1140 # We call the target swig-build on the variable SWIG_WRAPPERS
1141
1142 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1143 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1144 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1145 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1146 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1147 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1148 @GIWS_TRUE@             done; \
1149 @GIWS_TRUE@     fi
1150
1151 macros:
1152         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1153                 echo "Error : Cannot build $< : Scilab has not been built"; \
1154         else \
1155                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1156         fi)
1157
1158 # Removes the macros
1159 clean-macros:
1160 # Removes macros (*.bin generated from .sci)
1161         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1162                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1163                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1164         done
1165
1166 test:
1167 # More tests could be added here
1168         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1169         if test -f build.xml -a $$USEANT -eq 1; then \
1170                 $(ANT) test; \
1171         fi
1172
1173 all-local: $(TARGETS_ALL)
1174
1175 .sci.bin:
1176         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1177         echo "Error : Cannot build $< : Scilab has not been build"; \
1178         else \
1179         echo "Creating $@"; \
1180         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1181         fi )
1182
1183 install-html-local:
1184
1185 install-data-local-local:
1186 # Mainly for javasci
1187         @if test -d $(srcdir)/javadoc; then \
1188                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1189         fi
1190 # If the user wants the help sources to be installed
1191 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1192 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1193 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1194 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1195 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1196 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1197 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1198 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1199 @INSTALL_HELP_XML_TRUE@           done ; \
1200 @INSTALL_HELP_XML_TRUE@         fi; \
1201 @INSTALL_HELP_XML_TRUE@  fi; \
1202 @INSTALL_HELP_XML_TRUE@ done; \
1203 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1204 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1205 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1206 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1207 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1208 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1209 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1210 @INSTALL_HELP_XML_TRUE@           done ; \
1211 @INSTALL_HELP_XML_TRUE@         fi; \
1212 @INSTALL_HELP_XML_TRUE@ fi
1213 install-data-local:
1214 # Install the tests
1215         @echo "-------- Install tests (if any) --------"; \
1216         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1217           if test -d $(srcdir)/$$dir/; then \
1218             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1219                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1220                     if test -d "$(srcdir)/$$dir/$$file"; then \
1221                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1222                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1223                     else \
1224                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1225                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1226                     fi \
1227                   done; \
1228           fi; \
1229         done
1230 # Install the help chapter
1231         @echo "-------- Install the help chapter (if any) --------"; \
1232         for lang in $(HELP_CHAPTERLANG); do \
1233                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1234                 if test -f $$HELPFILE; then \
1235                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1236                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1237                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1238                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1239                 fi; \
1240         done
1241 # Install the demos & examples
1242         @echo "-------- Install demos & examples (if any) --------"; \
1243         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1244           if test -d $(srcdir)/$$dir/; then \
1245             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1246                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1247                     if test -d "$(srcdir)/$$dir/$$file"; then \
1248                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1249                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1250                     else \
1251                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1252                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1253                     fi \
1254                   done; \
1255           fi; \
1256         done
1257 # Install the macros
1258         @echo "-------- Install macros (if any) --------"; \
1259         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1260           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1261                 if test -d $(srcdir)/$$dir/; then \
1262                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1263                         if test -n "$(MACROSSPECIALEXT)"; then \
1264                                 specialExtDir=""; \
1265                                 for specialExt in $(MACROSSPECIALEXT); do \
1266                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1267                                 done; \
1268                                 FILELIST="$$FILELIST $$specialExtDir"; \
1269                         fi; \
1270                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1271                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1272                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1273                   done; \
1274                 fi; \
1275         done
1276 # Install java files (.jar)
1277         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1278         echo "-------- Install jar files --------"; \
1279     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1280           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1281                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1282                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1283           done ; \
1284         fi
1285
1286 ########### CLEAN ###################
1287 # Clean help (generated automatically by Scilab)
1288 # It used to clean the macro (clean-macros) but this was causing
1289 # make clean && make to fail Scilab startup
1290 @NEED_JAVA_TRUE@clean-local: clean-java
1291 @NEED_JAVA_FALSE@clean-local:
1292
1293 distclean-local:
1294         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1295
1296 .PHONY: macros java swig giws
1297
1298 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1299 # Otherwise a system limit (for SysV at least) may be exceeded.
1300 .NOEXPORT: